Subject: Re: bug#23800: 25.0.92; Emacs Image Mode Has Fringe On Right Side Even After (fringe-mode 0)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Jun 2016 18:05:19 +0300

> From: John Jacob <[email-masked]>
> Date: Sat, 18 Jun 2016 22:03:57 -0400
> 
> I did emacs -q and eval'd this minimal init file
> (fringe-mode 0)
> (scroll-bar-mode -1)
> (menu-bar-mode -1)
> (tool-bar-mode -1)
> 
> When I open a picture in emacs, there's a right side fringe that i can't
> see (or scroll to) on the image.

It's not the fringe, it's space reserved for displaying the cursor
when there's no fringes.

> My desired behavior is to have the image touch all three sides
> (excluding bottom) of the frame. Is this possible?

No, but you can come very close if you use this instead:

  (fringe-mode '(1 . 1))

This will leave a 1-pixel fringes, but I very much doubt that those
pixels will be distinguishable from nothing at all.  The downside of
this setting is that the cursor will become barely visible in
full-width lines.

> Is this even a bug?

No, this is how Emacs lays out display when there are no fringes.